[OE-core] [PATCH] initscripts/sysfs.sh: Mount devtmpfs on /dev/ if needed

Mike Looijmans mike.looijmans at topic.nl
Tue Oct 20 06:43:47 UTC 2015


When booting from an initrd disk, or when the kernel config option
DEVTMPFS_MOUNT isn't provided, /dev/ will not be mounted at boot.

This small addition will check if /dev/ is "useful", and if not, will
mount devtmpfs if the kernel provides it.

With this change, it is possible to set an initscripts style image type
to "cpio.gz" and boot it as initrd. Without this change, the image won't
work properly because of the missing devices.

Signed-off-by: Mike Looijmans <mike.looijmans at topic.nl>
---
 meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh b/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh
index 0cfe76e..0a52c90 100644
--- a/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh
+++ b/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh
@@ -21,3 +21,7 @@ fi
 if [ -e /sys/kernel/debug ] && grep -q debugfs /proc/filesystems; then
   mount -t debugfs debugfs /sys/kernel/debug
 fi
+
+if ! [ -e /dev/zero ] && [ -e /dev ] && grep -q devtmpfs /proc/filesystems; then
+  mount -n -t devtmpfs devtmpfs /dev
+fi
-- 
1.9.1




More information about the Openembedded-core mailing list